python: Provide PyAPI_DATA macro for older versions of Python (< 2.3).